package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.model.PagingBaseModel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/7/8 16:34
 * @Description:
 **/
public class NotificationSearchModel extends PagingBaseModel{
    private  Long id;
    private  Long UserId;
    private String notiState;//通知状态
    private String notiTitle;//通知标题
    private String notiContent;//通知内容
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date publishAt;//发布时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date publishAtFrom;//发布时间起
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date publishAtTo;//发布时间止
    private String publishByString;//发布人名称

    public Long getUserId() {
        return UserId;
    }

    public void setUserId(Long userId) {
        UserId = userId;
    }

    public String getNotiContent() {
        return notiContent;
    }

    public void setNotiContent(String notiContent) {
        this.notiContent = notiContent;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNotiState() {
        return notiState;
    }

    public void setNotiState(String notiState) {
        this.notiState = notiState;
    }

    public String getNotiTitle() {
        return notiTitle;
    }

    public void setNotiTitle(String notiTitle) {
        this.notiTitle = notiTitle;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public Date getPublishAtFrom() {
        return publishAtFrom;
    }

    public void setPublishAtFrom(Date publishAtFrom) {
        this.publishAtFrom = publishAtFrom;
    }

    public Date getPublishAtTo() {
        return publishAtTo;
    }

    public void setPublishAtTo(Date publishAtTo) {
        this.publishAtTo = publishAtTo;
    }

    public String getPublishByString() {
        return publishByString;
    }

    public void setPublishByString(String publishByString) {
        this.publishByString = publishByString;
    }
}
